Redmine - Defect #35348

install plugin dashboard for redmine failure
2021-06-03 06:14 - tran khoa

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 41.0
Description

Hi admin,

| have just install plugin dashboard by the link: https:/github.com/akpaevj/Dashboard

but not successfull, i access to dashboard have error as the attackment, please view attachment help me.

and this is log error in server, please guide me to i fixed, thanks.

Started GET "/dashboard" for 123.31.45.229 at 2021-06-03 10:06:02 +0000
Processing by DashboardController#index as HTML

Current user: admin (id=1)

Completed 500 Internal Server Error in 587ms (ActiveRecord: 35.7ms)

ArgumentError (comparison of Date with nil failed):

plugins/dashboard/app/controllers/dashboard_controller.rb:101:in “sort_by'
plugins/dashboard/app/controllers/dashboard_controller.rb:101:in “get_issues
plugins/dashboard/app/controllers/dashboard_controller.rb:13:in “index’
lib/redmine/sudo_mode.rb:65:in "'sudo_mode'

History

#1 - 2021-06-03 07:02 - Go MAEDA
- Category deleted (Core Plugins)
- Status changed from New to Closed

- Resolution set to Invalid

Since the error is caused by a third-party plugin that is not a part of Redmine, please contact the author of the plugin.

#2 - 2021-06-05 18:15 - Evgeny Akpaev

This problem has been resolved in latest version, just up to date the plugin

#3 - 2021-06-06 04:12 - tran khoa

Hi,

Please give for me the latest version, thanks!
#4 - 2021-06-06 17:23 - Evgeny Akpaev

You can get it from my github https://github.com/akpaevj/dashboard
